Bug 2640 - Debug session druid gets confused - user is left in state where he can only abort
Summary: Debug session druid gets confused - user is left in state where he can only a...
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Phil Muldoon
URL:
Keywords:
Depends on:
Blocks: 3401
  Show dependency treegraph
 
Reported: 2006-05-04 19:51 UTC by Len DiMaggio
Modified: 2006-11-21 21:16 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Len DiMaggio 2006-05-04 19:51:45 UTC
Debug session druid gets confused - user is left in state where he can only abort

To reproduce this error:

1) Bring up the Debug session druid
2) On the first page (new/old debug session - select to create a new session)
3) Press <Forward> to go to the 2nd page (Process Groups to Watch)
4) Select one or more process groups - move these selections to the right hand list
5) Then, move them back to the left hand list - so that you have zero process
groups selected
6) Press <Back> to return to the first page
7) On the first page, the <Forward> and <Back> buttons are grey-ed out - the
user's only option is to abort the session
Comment 1 Len DiMaggio 2006-05-05 13:00:44 UTC
Assigning to Phil.
Comment 2 Len DiMaggio 2006-05-05 15:39:14 UTC
Actually - the problem occurs if the user presses any key other than <Back> on
the 2nd page.
Comment 3 Phil Muldoon 2006-05-09 18:28:09 UTC
Fixed; the return to the first page was not triggering the Next button
sensitivity, as return the first page from process selection was not detected.

2006-05-09  Phil Muldoon  <pmuldoon@redhat.com>

	* druid/CreateFryskSessionDruid.java (setUpCurrentPage): Fix
	http://sourceware.org/bugzilla/show_bug.cgi?id=2640.
	* glade/frysk_create_session_druid.glade: Added ldimaggi@redhat.com
	patches.